﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;

public partial class DataPagerWithCustomInterface : System.Web.UI.Page
{
    int CurrentPage = 0;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            lvEmployee.DataSource = GetEmployee("Select * from Employee order by empid");
            lvEmployee.DataBind();
        }
    }
    public DataTable GetEmployee(string query)
    {
        SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["DatabaseConnectionString"].ConnectionString);
        SqlDataAdapter ada = new SqlDataAdapter(query, con);
        DataTable dtEmp = new DataTable();
        ada.Fill(dtEmp);
        return dtEmp;
    }
    protected void DataPager1_PreRender(object sender, EventArgs e)
    {
        lvEmployee.DataSource = GetEmployee("Select * from Employee order by empid");
        lvEmployee.DataBind();
    }
    protected void lvEmployee_DataBound(object sender, EventArgs e)
    {
        DropDownList ddl = DataPager1.Controls[1].FindControl("ddlPage") as DropDownList;                       
        int PageCount = (DataPager1.TotalRowCount / DataPager1.PageSize);
        if(PageCount*DataPager1.PageSize != DataPager1.TotalRowCount)
        {
              PageCount = PageCount + 1;
        }             
        for (int i = 0; i < PageCount; i++ )
        {
            ddl.Items.Add(new ListItem((i+1).ToString(),i.ToString()));
        }
        ddl.Items.FindByValue(CurrentPage.ToString()).Selected = true;
    }
    protected void ddlPage_SelectedIndexChanged(object sender, EventArgs e)
    { 
        DropDownList ddl = sender as DropDownList;
        CurrentPage = int.Parse(ddl.SelectedValue);
        int PageSize = DataPager1.PageSize;
        DataPager1.SetPageProperties(CurrentPage * PageSize, PageSize, true);
    }

    protected void btnGoPage_Click(object sender, EventArgs e)
    {
        if(txtPage.Text != "")
        DataPager1.SetPageProperties( (int.Parse(txtPage.Text)-1) * DataPager1.PageSize, DataPager1.PageSize, true);
    }
}
